Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class StartInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.TemplateNodeInfo
                  |
                  +--com.bea.wlpi.common.plugin.StartInfo

public final class StartInfo
extends TemplateNodeInfo

Provides information about a start node type defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginTriggerPanel`, `PluginStart`, Serialized Form

Field Summary
`static int` | `KEY_DATA` Key value to retrieve the `PluginData` implementation class name.
`static int` | `KEY_PANEL` Key value to retrieve the `PluginTriggerPanel` implementation class name.
`static int` | `KEY_START` Key value to retrieve the `PluginStart` implementation class name.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`StartInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, byte[] iconByteArray, java.lang.String[] classNames, FieldInfo fieldInfo)` Create a new `StartInfo`.
`StartInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, javax.swing.Icon icon, java.lang.String[] classNames, FieldInfo fieldInfo)` Deprecated. To avoid using java.awt library.

Method Summary
`FieldInfo` | `getFieldInfo()` Return the field type for this start type.

Methods inherited from class com.bea.wlpi.common.plugin.TemplateNodeInfo
`getIcon`

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_DATA

    public static final int KEY_DATA

  Key value to retrieve the `PluginData` implementation class name.

### KEY_PANEL

    public static final int KEY_PANEL

  Key value to retrieve the `PluginTriggerPanel` implementation class name.

### KEY_START

    public static final int KEY_START

  Key value to retrieve the `PluginStart` implementation class name.

Constructor Detail

### StartInfo

    public StartInfo(java.lang.String pluginName,
                     int ID,
                     java.lang.String name,
                     java.lang.String description,
                     javax.swing.Icon icon,
                     java.lang.String[] classNames,
                     FieldInfo fieldInfo)

  Deprecated. To avoid using java.awt library.
  Create a new `StartInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this start type.
    `ID` - The unique plugin-supplied identifier for this start type.
    `name` - The localized name of this start type.
    `description` - The localized description of this start type.
    `icon` - The icon for this start node type.
    `classNames` - A three-element array to identify plugin-supplied classes related to this start type. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `fieldInfo` - The field type processed by this start node type.
  See Also:
    `getFieldInfo()`

### StartInfo

    public StartInfo(java.lang.String pluginName,
                     int ID,
                     java.lang.String name,
                     java.lang.String description,
                     byte[] iconByteArray,
                     java.lang.String[] classNames,
                     FieldInfo fieldInfo)

  Create a new `StartInfo`.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this start type.
    `ID` - The unique plugin-supplied identifier for this start type.
    `name` - The localized name of this start type.
    `description` - The localized description of this start type.
    `iconByteArray` - The byte array representation of graphical image for this start type. This icon is used by the 'interface view' facility.
    `classNames` - A three-element array to identify plugin-supplied classes related to this start type. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `fieldInfo` - The field type processed by this start node type.
  See Also:
    `getFieldInfo()`

Method Detail

### getFieldInfo

    public FieldInfo getFieldInfo()

  Return the field type for this start type. The expression evaluator requires this information in order to process event data in the format used by this start node type. If the plugin does not specify a field type, the evaluator will use the default `FieldInfo.XMLFIELD` XML field type to resolve field references in expressions (only in places where field references are permissible).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)